From d60e7ac8276f3aca26e6bf618016b1852e4f036d Mon Sep 17 00:00:00 2001
From: Nathan Hjelm <hjelmn@me.com>
Date: Sun, 6 Apr 2014 21:20:10 -0600
Subject: [PATCH] darwin: define _DARWIN_C_SOURCE to avoid undefined type
 errors

This commit fixes an error that occurs because of defining _POSIX_C_SOURCE. Some
types used in ucred.h and attr.h are not defined in this case. Defining
_DARWIN_C_SOURCE fixes the issue.

Signed-off-by: Nathan Hjelm <hjelmn@me.com>
---
 src/Makefile.am | 4 ++++
 1 file changed, 4 insertions(+)

diff --git a/src/Makefile.am b/src/Makefile.am
index 65a87ae..a8c2845 100644
--- a/src/Makefile.am
+++ b/src/Makefile.am
@@ -1,6 +1,10 @@
 SET_FEATURES = -D_ISOC99_SOURCE -D_POSIX_C_SOURCE=200112L -D_REENTRANT
 SET_INCLUDES = -I$(top_srcdir) -Ifile -Ilibbluray -Ilibbluray/bdnav
 
+if HAVE_DARWIN
+SET_FEATURES += -D_DARWIN_C_SOURCE
+endif
+
 AM_CFLAGS = -std=c99 $(SET_FEATURES) $(SET_INCLUDES) $(LIBXML2_CFLAGS) $(FT2_CFLAGS)
 
 EXTRA_DIST = \
-- 
1.8.5.2 (Apple Git-48)

